Bug 734509 - APEI: set enable bit for OSC call
Summary: APEI: set enable bit for OSC call
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: John Feeney
QA Contact: Evan McNabb
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-30 16:09 UTC by Don Zickus
Modified: 2013-01-10 07:41 UTC (History)
1 user (show)

Fixed In Version: kernel-2.6.32-206.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 14:27:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1530 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 6 kernel security, bug fix and enhancement update 2011-12-06 01:45:35 UTC

Description Don Zickus 2011-08-30 16:09:56 UTC
Description of problem:
When the code to enable the APEI bit in the firmware was pushed upstream, it forgot to actually set the bit to enabled.  Instead it just told the firmware that it modified it.  Most firmware didn't check to see if this modification was to enable or disable APEI, so everything worked fine.

However, Dell noticed their boxes were not working and it was because their firmware actually did the right thing and checked to see if the bit was enabled or not.  And it wasn't.

Matthew pushed a patch upstream to actually enable the bit.  This is needed for 6.2 because our customers who wanted APEI need to have this set otherwise APEI won't work.

It can easily be verified on various recent Dell boxes by running the error injection tests.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
error injection tests fail

Expected results:
error injection tests pass

Additional info:

Comment 2 RHEL Product and Program Management 2011-08-30 16:29:56 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 3 Aristeu Rozanski 2011-10-05 15:14:53 UTC
Patch(es) available on kernel-2.6.32-206.el6

Comment 7 errata-xmlrpc 2011-12-06 14:27:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1530.html


Note You need to log in before you can comment on or make changes to this bug.